Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class AccessControlListAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.AccessControlListAdmin

    public class AccessControlListAdmin

extends java.lang.Object

The `AccessControlListAdmin.java` class - collection of AccessControlList admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_aceTable`
`protected java.util.Hashtable` | `m_aclTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`AccessControlListAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `applyAccessLevel(LibrarySession sess, java.lang.String accessList, AccessControlEntryDefinition acedef)`
`protected AccessControlEntryDefinition` | `createAceDef(LibrarySession sess, DirectoryObject grantee, boolean isWorld, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)`
`protected void` | `createAcl(LibrarySession sess, ParameterTable params)` Section variant of Create Acl
`protected void` | `createAcl(LibrarySession sess, java.lang.String idname, AccessControlListDefinition def)` internal variant of Create Acl
`protected void` | `createAcl(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create Acl
`void` | `deleteAccessControlList(LibrarySession sess, ParameterTable params)` Section variant of delete AccessControlList
`void` | `deleteAccessControlList(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete AccessControlList
`void` | `deleteAccessControlList(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete AccessControlList
`java.lang.String` | `formatAccessLevel(LibrarySession sess, AccessLevel level)`
`protected void` | `freeAcl(LibrarySession sess, ParameterTable params)` Section variant of Free Acl
`protected void` | `freeAcl(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free Acl
`void` | `grantAccess(LibrarySession sess, ParameterTable params)` Section variant of GrantAccess
`void` | `grantAccess(LibrarySession sess, java.lang.String idname, AccessControlEntryDefinition def)` internal variant of GrantAccess
`protected void` | `grantGroup(LibrarySession sess, java.lang.String aclname, java.lang.String grantee, java.lang.String acename, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)` Inline/internal variant of grantGroup
`protected void` | `grantUser(LibrarySession sess, java.lang.String aclname, java.lang.String grantee, java.lang.String acename, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)` Inline/internal variant of grantUser
`protected void` | `grantWorld(LibrarySession sess, java.lang.String aclname, java.lang.String grantee, java.lang.String acename, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)` Inline/internal variant of grantWorld
`AccessControlList` | `identifyAcl(LibrarySession sess, ParameterTable params)` Section variant of Identify ACL
`AccessControlList` | `identifyAcl(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, boolean isSysAcl, boolean isClassAcl, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify ACL
`protected AccessControlEntry` | `lookupAce(java.lang.String acename)`
`protected AccessControlList` | `lookupAcl(LibrarySession sess, java.lang.String aclname)`
`protected ClassAccessControlList` | `lookupClassAcl(LibrarySession sess, java.lang.String name)` Lookup ClassAccessControlList by name
`protected SystemAccessControlList` | `lookupSystemAcl(LibrarySession sess, java.lang.String name)` Lookup SystemAccessControlList by name
`protected DirectoryUser` | `lookupUser(LibrarySession sess, java.lang.String username)`
`protected void` | `modifyAcl(LibrarySession sess, ParameterTable params)` Section variant of Modify Acl
`protected void` | `modifyAcl(LibrarySession sess, java.lang.String idname, AccessControlListDefinition def)` internal variant of Modify Acl
`protected void` | `removeAce(LibrarySession sess, java.lang.String aclname, java.lang.String acename)` Inline/internal variant of removeAce
`void` | `revokeAccess(LibrarySession sess, ParameterTable params)` Section variant of revokeAccess
`void` | `revokeAccess(LibrarySession sess, java.lang.String idname, AccessControlEntryDefinition def)` internal variant of revokeAccess
`protected void` | `revokeGroup(LibrarySession sess, java.lang.String aclname, java.lang.String grantee, java.lang.String acename, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)` Inline/internal variant of revokeGroup
`protected void` | `revokeUser(LibrarySession sess, java.lang.String aclname, java.lang.String grantee, java.lang.String acename, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)` Inline/internal variant of revokeUser
`protected void` | `revokeWorld(LibrarySession sess, java.lang.String aclname, java.lang.String grantee, java.lang.String acename, java.lang.String accessList, java.lang.String beforeAce, java.lang.String afterAce)` Inline/internal variant of revokeWorld
`void` | `showACE(LibrarySession sess, java.lang.String outputprefix, AccessControlEntry ace)`
`void` | `showAcl(LibrarySession sess, AccessControlList acl)`
`void` | `showAcl(LibrarySession sess, ParameterTable params)` Section variant of showAcl
`protected void` | `showAcl(LibrarySession sess, java.lang.String aclname)`
`protected void` | `showAcls(LibrarySession sess)`
`void` | `showDiscoverers(LibrarySession sess, ParameterTable params)` Section variant of showDiscoverers
`protected void` | `showDiscoverers(LibrarySession sess, java.lang.String aclname)`
`void` | `showGroupAccess(LibrarySession sess, ParameterTable params)` Section variant of showGroupAccess
`protected void` | `showGroupAccess(LibrarySession sess, java.lang.String aclname, java.lang.String groupname)`
`void` | `showUserAccess(LibrarySession sess, ParameterTable params)` Section variant of showUserAccess
`protected void` | `showUserAccess(LibrarySession sess, java.lang.String aclname, java.lang.String username)`
`void` | `showWorldAccess(LibrarySession sess, ParameterTable params)` Section variant of showWorldAccess
`protected void` | `showWorldAccess(LibrarySession sess, java.lang.String aclname)`
`protected void` | `simpleApplyAcl(LibrarySession sess, ParameterTable params)` Implements SimpleApplyAcl functionality.
`protected void` | `simpleGrant(LibrarySession sess, ParameterTable params)` Implements SimpleGrant functionality.
`protected void` | `simpleRevoke(LibrarySession sess, ParameterTable params)` Implements SimpleRevoke functionality.
`void` | `undeleteAccessControlList(LibrarySession sess, ParameterTable params)` Section variant of undelete AccessControlList
`void` | `undeleteAccessControlList(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete AccessControlList
`void` | `undeleteAccessControlList(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete AccessControlList
`void` | `unidentifyAcl(LibrarySession sess, ParameterTable params)` Section variant of Unidentify ACL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_aclTable

    protected java.util.Hashtable m_aclTable

### m_aceTable

    protected java.util.Hashtable m_aceTable

Constructor Detail

### AccessControlListAdmin

    public AccessControlListAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createAcl

    protected void createAcl(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of Create Acl

  Throws:
    `IfsException`

### createAcl

    protected void createAcl(LibrarySession sess,
                             java.lang.String idname,
                             java.lang.String nameToken)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  inline variant of Create Acl

  Throws:
    `IfsException`

### createAcl

    protected void createAcl(LibrarySession sess,
                             java.lang.String idname,
                             AccessControlListDefinition def)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  internal variant of Create Acl

  Throws:
    `IfsException`

### modifyAcl

    protected void modifyAcl(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of Modify Acl

  Throws:
    `IfsException`

### modifyAcl

    protected void modifyAcl(LibrarySession sess,
                             java.lang.String idname,
                             AccessControlListDefinition def)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  internal variant of Modify Acl

  Throws:
    `IfsException`

### freeAcl

    protected void freeAcl(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of Free Acl

  Throws:
    `IfsException`

### freeAcl

    protected void freeAcl(LibrarySession sess,
                           java.lang.String idname)
                    throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of Free Acl

  Throws:
    `IfsException`

### grantAccess

    public void grantAccess(LibrarySession sess,
                            ParameterTable params)
                     throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of GrantAccess

  Throws:
    `IfsException`

### grantAccess

    public void grantAccess(LibrarySession sess,
                            java.lang.String idname,
                            AccessControlEntryDefinition def)
                     throws IfsException

  Description copied from class: `AccessControlListAdmin`
  internal variant of GrantAccess

  Throws:
    `IfsException`

### revokeAccess

    public void revokeAccess(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of revokeAccess

  Throws:
    `IfsException`

### revokeAccess

    public void revokeAccess(LibrarySession sess,
                             java.lang.String idname,
                             AccessControlEntryDefinition def)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  internal variant of revokeAccess

  Throws:
    `IfsException`

### grantUser

    protected void grantUser(LibrarySession sess,
                             java.lang.String aclname,
                             java.lang.String grantee,
                             java.lang.String acename,
                             java.lang.String accessList,
                             java.lang.String beforeAce,
                             java.lang.String afterAce)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of grantUser

  Throws:
    `IfsException`

### grantGroup

    protected void grantGroup(LibrarySession sess,
                              java.lang.String aclname,
                              java.lang.String grantee,
                              java.lang.String acename,
                              java.lang.String accessList,
                              java.lang.String beforeAce,
                              java.lang.String afterAce)
                       throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of grantGroup

  Throws:
    `IfsException`

### grantWorld

    protected void grantWorld(LibrarySession sess,
                              java.lang.String aclname,
                              java.lang.String grantee,
                              java.lang.String acename,
                              java.lang.String accessList,
                              java.lang.String beforeAce,
                              java.lang.String afterAce)
                       throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of grantWorld

  Throws:
    `IfsException`

### revokeUser

    protected void revokeUser(LibrarySession sess,
                              java.lang.String aclname,
                              java.lang.String grantee,
                              java.lang.String acename,
                              java.lang.String accessList,
                              java.lang.String beforeAce,
                              java.lang.String afterAce)
                       throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of revokeUser

  Throws:
    `IfsException`

### revokeGroup

    protected void revokeGroup(LibrarySession sess,
                               java.lang.String aclname,
                               java.lang.String grantee,
                               java.lang.String acename,
                               java.lang.String accessList,
                               java.lang.String beforeAce,
                               java.lang.String afterAce)
                        throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of revokeGroup

  Throws:
    `IfsException`

### revokeWorld

    protected void revokeWorld(LibrarySession sess,
                               java.lang.String aclname,
                               java.lang.String grantee,
                               java.lang.String acename,
                               java.lang.String accessList,
                               java.lang.String beforeAce,
                               java.lang.String afterAce)
                        throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of revokeWorld

  Throws:
    `IfsException`

### removeAce

    protected void removeAce(LibrarySession sess,
                             java.lang.String aclname,
                             java.lang.String acename)
                      throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of removeAce

  Throws:
    `IfsException`

### identifyAcl

    public AccessControlList identifyAcl(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of Identify ACL

  Throws:
    `IfsException`

### identifyAcl

    public AccessControlList identifyAcl(LibrarySession sess,
                                         java.lang.String idname,
                                         java.lang.Long id,
                                         java.lang.String name,
                                         boolean isSysAcl,
                                         boolean isClassAcl,
                                         java.lang.String valueDefaultName,
                                         java.lang.String path)
                                  throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of Identify ACL

  Throws:
    `IfsException`

### unidentifyAcl

    public void unidentifyAcl(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of Unidentify ACL

  Throws:
    `IfsException`

### showAcl

    public void showAcl(LibrarySession sess,
                        ParameterTable params)
                 throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of showAcl

  Throws:
    `IfsException`

### showAcl

    protected void showAcl(LibrarySession sess,
                           java.lang.String aclname)
                    throws IfsException

  Throws:
    `IfsException`

### showUserAccess

    public void showUserAccess(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of showUserAccess

  Throws:
    `IfsException`

### showUserAccess

    protected void showUserAccess(LibrarySession sess,
                                  java.lang.String aclname,
                                  java.lang.String username)
                           throws IfsException

  Throws:
    `IfsException`

### showGroupAccess

    protected void showGroupAccess(LibrarySession sess,
                                   java.lang.String aclname,
                                   java.lang.String groupname)
                            throws IfsException

  Throws:
    `IfsException`

### showGroupAccess

    public void showGroupAccess(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of showGroupAccess

  Throws:
    `IfsException`

### showWorldAccess

    protected void showWorldAccess(LibrarySession sess,
                                   java.lang.String aclname)
                            throws IfsException

  Throws:
    `IfsException`

### showWorldAccess

    public void showWorldAccess(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of showWorldAccess

  Throws:
    `IfsException`

### showDiscoverers

    protected void showDiscoverers(LibrarySession sess,
                                   java.lang.String aclname)
                            throws IfsException

  Throws:
    `IfsException`

### showDiscoverers

    public void showDiscoverers(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of showDiscoverers

  Throws:
    `IfsException`

### deleteAccessControlList

    public void deleteAccessControlList(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of delete AccessControlList

  Throws:
    `IfsException`

### deleteAccessControlList

    public void deleteAccessControlList(LibrarySession sess,
                                        java.lang.String idname)
                                 throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of Delete AccessControlList

  Throws:
    `IfsException`

### deleteAccessControlList

    public void deleteAccessControlList(LibrarySession sess,
                                        java.lang.String idname,
                                        LibraryObjectDefinition def)
                                 throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of Delete AccessControlList

  Throws:
    `IfsException`

### undeleteAccessControlList

    public void undeleteAccessControlList(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Section variant of undelete AccessControlList

  Throws:
    `IfsException`

### undeleteAccessControlList

    public void undeleteAccessControlList(LibrarySession sess,
                                          java.lang.String idname)
                                   throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of Undelete AccessControlList

  Throws:
    `IfsException`

### undeleteAccessControlList

    public void undeleteAccessControlList(LibrarySession sess,
                                          java.lang.String idname,
                                          LibraryObjectDefinition def)
                                   throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Inline/internal variant of Undelete AccessControlList

  Throws:
    `IfsException`

### lookupSystemAcl

    protected SystemAccessControlList lookupSystemAcl(LibrarySession sess,
                                                      java.lang.String name)
                                               throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Lookup SystemAccessControlList by name

  Throws:
    `IfsException`

### lookupClassAcl

    protected ClassAccessControlList lookupClassAcl(LibrarySession sess,
                                                    java.lang.String name)
                                             throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Lookup ClassAccessControlList by name

  Throws:
    `IfsException`

### lookupAcl

    protected AccessControlList lookupAcl(LibrarySession sess,
                                          java.lang.String aclname)
                                   throws IfsException

  Throws:
    `IfsException`

### lookupAce

    protected AccessControlEntry lookupAce(java.lang.String acename)
                                    throws IfsException

  Throws:
    `IfsException`

### lookupUser

    protected DirectoryUser lookupUser(LibrarySession sess,
                                       java.lang.String username)
                                throws IfsException

  Throws:
    `IfsException`

### createAceDef

    protected AccessControlEntryDefinition createAceDef(LibrarySession sess,
                                                        DirectoryObject grantee,
                                                        boolean isWorld,
                                                        java.lang.String accessList,
                                                        java.lang.String beforeAce,
                                                        java.lang.String afterAce)
                                                 throws IfsException

  Throws:
    `IfsException`

### showAcls

    protected void showAcls(LibrarySession sess)
                     throws IfsException

  Throws:
    `IfsException`

### showAcl

    public void showAcl(LibrarySession sess,
                        AccessControlList acl)
                 throws IfsException

  Throws:
    `IfsException`

### showACE

    public void showACE(LibrarySession sess,
                        java.lang.String outputprefix,
                        AccessControlEntry ace)
                 throws IfsException

  Throws:
    `IfsException`

### formatAccessLevel

    public java.lang.String formatAccessLevel(LibrarySession sess,
                                              AccessLevel level)
                                       throws IfsException

  Throws:
    `IfsException`

### applyAccessLevel

    public void applyAccessLevel(LibrarySession sess,
                                 java.lang.String accessList,
                                 AccessControlEntryDefinition acedef)
                          throws IfsException

  Throws:
    `IfsException`

### simpleGrant

    protected void simpleGrant(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Implements SimpleGrant functionality.

  Parameters:
    `sess` - LibrarySession Reference to the current session.
    `params` - ParameterTable Table of Parameters.
  Throws:
    `IfsException` - if the operation fails.

### simpleRevoke

    protected void simpleRevoke(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Implements SimpleRevoke functionality.

  Parameters:
    `sess` - LibrarySession Reference to the current session.
    `params` - ParameterTable Table of Parameters.
  Throws:
    `IfsException` - if the operation fails.

### simpleApplyAcl

    protected void simpleApplyAcl(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `AccessControlListAdmin`
  Implements SimpleApplyAcl functionality.

  Parameters:
    `sess` - LibrarySession Reference to the current session.
    `params` - ParameterTable Table of Parameters.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD